Admin O Auth Registration Approval Get
Review a pending autonomous registration by its verification code. This does not approve it or create an account.
/admin/oauth/registration-approvals/verificationReview a pending autonomous registration by its verification code. This does not approve it or create an account.
In: cookie
Query Parameters
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/admin/oauth/registration-approvals/verification?verification_code=string"{
"verification_code": "string",
"created_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"metadata": {
"registration_mode": [
"string"
],
"registration_code": "string",
"cancel_registration": true,
"client_name": "string",
"redirect_uris": [
"http://example.com"
],
"grant_types": [
"string"
],
"response_types": [
"string"
],
"scope": "string",
"token_endpoint_auth_method": "string",
"jwks": {},
"application_type": "string",
"logo_uri": "http://example.com",
"client_uri": "http://example.com",
"tos_uri": "http://example.com",
"policy_uri": "http://example.com"
}
}{
"error": "string",
"error_description": "string"
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Admin O Auth Registration Approval Bulk Submit POST
Approve or deny all pending, unexpired registrations created on or before the queue snapshot time, across all pages. Already decided, cancelled, consumed and expired requests are excluded. Returns the number of requests changed; approval creates only when clients poll.
Admin O Auth Registration Approval List GET
List pending, unexpired autonomous registrations awaiting administrator approval. Completed, denied, cancelled & expired requests are excluded.